#
# spec file for package ibsim
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#%%define my_release

Summary:        InfiniBand fabric simulator for management

Name:           ibsim
Version:        0.6
Release:        6.5
License:        BSD-2-Clause or GPL-2.0
Group:          Productivity/Networking/Diagnostic
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.gz
Url:            http://www.openfabrics.org
BuildRequires:  libibmad-devel libibumad-devel libibverbs-devel
BuildRequires:  automake autoconf libtool

%description
ibsim provides simulation of infiniband fabric for using with OFA
OpenSM, diagnostic and management tools.



%prep
%setup -q

%build
export CFLAGS="${CFLAGS:-%{optflags}}"
export LDFLAGS="${LDFLAGS:-%{optflags}}"
make prefix=%_prefix libpath=%_libdir binpath=%_bindir %{?_smp_mflags}

%install
export CFLAGS="${CFLAGS:-%{optflags}}"
export LDFLAGS="${LDFLAGS:-%{optflags}}"
make DESTDIR=%{buildroot} prefix=%_prefix libpath=%_libdir binpath=%_bindir install

%files
%defattr(-,root,root)
%dir %{_libdir}/umad2sim
%{_libdir}/umad2sim/libumad2sim*.so*
%{_bindir}/ibsim
%doc README COPYING TODO net-examples scripts

%changelog
* Wed Jun 25 2014 pth@suse.de
- Don't use a full source URL as a package with the current version
  isn't anymore available standalone.
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Fri Feb 14 2014 pth@suse.de
- Remove an empty macro which the rpm parser won't grok.
* Thu Feb 13 2014 pth@suse.de
- Update to 0.6 for fate#315488. No Changelog in package.
- Use full source URI and don't recompress the tarball.
* Fri Jan 24 2014 pth@suse.de
- Update to OFED 3.12 daily
* Tue May  8 2012 pth@suse.de
- BuildRequire automake, autoconf and libtool.
* Thu Feb  3 2011 ro@suse.de
- correct buildrequirs to libibmad-devel
* Fri Oct 29 2010 stefan.fent@novell.com
- correct requires to libibumad-devel
* Wed Oct 27 2010 jjolly@novell.com
- Updated to v0.5-0.1.g327c3d8 from OFED 1.5.2
* Thu Dec 11 2008 jjolly@suse.de
- Updated to v0.5 from OFED 1.4 GA
  - No changelog provided
* Thu Nov 13 2008 ro@suse.de
- excludearch s390
* Mon Oct 27 2008 jjolly@suse.de
- Updated to version from OFED 1.4 rc3
- bzipped source tarball
* Wed Sep 10 2008 jjolly@suse.de
- Recreated the package for SLES11
